Subject: Re: bug#37700: 27.0.50; undo mouse-drag-and-drop-region ineffective

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Oct 2019 20:17:02 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 12 Oct 2019 18:42:30 +0200
> Cc: Tak Kunihiro <[email-masked]>, [email-masked],
>         Eli Zaretskii <[email-masked]>, martin rudalics <[email-masked]>
> 
> > So perhaps a better way to resolve this situation is to teach 'undo'
> > about drag-and-drop, so that it doesn't undo selectively immediately
> > after drag-and-drop?
> 
> Maybe --- can it be done within the current 'undo' framework, or would drag-and-drop need to be special-cased? Did you have a particular approach in mind?

I didn't figure out the details, I only had a general idea.  I thought
about doing that inside 'undo', perhaps have a list of commands for
which an immediate 'undo' will disregard an active region.